# Uses of Interface
org.eclipse.emf.cdo.common.protocol.CDOAuthenticator

Packages that use CDOAuthenticator
Package
Description
org.eclipse.emf.cdo.session
Client concepts for dealing with sessions to CDO repositories.
org.eclipse.emf.spi.cdo
Client service provider interfaces and useful base implementations.

## Uses of CDOAuthenticator in org.eclipse.emf.cdo.session

Methods in org.eclipse.emf.cdo.session that return CDOAuthenticator
Modifier and Type
Method
Description
`CDOAuthenticator`
CDOSessionConfiguration.`getAuthenticator()`
Deprecated.
As of 4.2 use `CDOSessionConfiguration.getCredentialsProvider()` and `CDOSessionConfiguration.setCredentialsProvider(IPasswordCredentialsProvider)`, respectively

## Uses of CDOAuthenticator in org.eclipse.emf.spi.cdo

Methods in org.eclipse.emf.spi.cdo that return CDOAuthenticator
Modifier and Type
Method
Description
`CDOAuthenticator`
InternalCDOSession.`getAuthenticator()`
Deprecated.
As of 4.2 use `IPasswordCredentialsProvider.Provider.getCredentialsProvider()`
Methods in org.eclipse.emf.spi.cdo with parameters of type CDOAuthenticator
Modifier and Type
Method
Description
`void`
InternalCDOSession.`setAuthenticator(CDOAuthenticator authenticator)`
Deprecated.
As of 4.2 use `InternalCDOSession.setCredentialsProvider(IPasswordCredentialsProvider)`